Bug 1181854 - Deployment fails if a web-fragment.xml references fragment name that's not present
Summary: Deployment fails if a web-fragment.xml references fragment name that's not pr...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER2
: EAP 6.4.0
Assignee: Rémy Maucherat
QA Contact: Michael Cada
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-13 22:58 UTC by James Livingston
Modified: 2019-08-19 12:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:38:54 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker WFLY-4247 Major Closed Deployment fails if a web-fragment.xml references fragment name that's not present 2018-06-13 12:55:56 UTC

Description James Livingston 2015-01-13 22:58:10 UTC
If you deploy a web application which has a web fragment with a relative ordering referring to a non-existent fragment, it will fail. This was reported  as JBAS-8767, Remy said the spec was not clear so he would ask, and them it was fixed for AS 6.0.

The fix does not appear to have been incorporated into AS7. I am unsure as to the result of the spec clarification on whether it should work, but since it was fixed in AS6 it probably should for EAP as well.

Comment 1 James Livingston 2015-01-13 23:01:43 UTC
Upstream AS 6 changeset was https://source.jboss.org/changelog/JBossAS6/?cs=110198

Comment 3 Jason Peng 2015-01-15 07:32:22 UTC
The same validation code seems written in class "WarMetaDataProcessor.java":

https://github.com/undertow-io/undertow-subsystem/blob/master/extension/src/main/java/org/jboss/as/undertow/deployment/WarMetaDataProcessor.java

"throw new IllegalStateException(MESSAGES.invalidRelativeOrderingUnknownName(webOrdering.getJar()))"

Comment 4 Jason Peng 2015-01-15 07:45:36 UTC
(In reply to Jason Peng from comment #3)
> The same validation code seems written in class "WarMetaDataProcessor.java":
> 
> https://github.com/undertow-io/undertow-subsystem/blob/master/extension/src/
> main/java/org/jboss/as/undertow/deployment/WarMetaDataProcessor.java
> 
> "throw new
> IllegalStateException(MESSAGES.
> invalidRelativeOrderingUnknownName(webOrdering.getJar()))"

Also in EAP 6.3, the validation is written in this file:
org.jboss.as.web.deployment.WarMetaDataProcessor.java

"throw new IllegalStateException(MESSAGES.invalidRelativeOrderingUnknownName(webOrdering.getJar()));"

Comment 5 Radim Hatlapatka 2015-02-10 16:42:13 UTC
Verified with EAP 6.4.0.ER2


Note You need to log in before you can comment on or make changes to this bug.